Bug 198241 - ldd -r reports undefined symbols
ldd -r reports undefined symbols
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnston
Depends On:
Blocks: ldd-r-kh
  Show dependency treegraph
Reported: 2006-07-10 11:22 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-15 13:51:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-07-10 11:22:17 EDT
Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols
might be resolved by those. But this needs to be checked.
Reproducer: rpm -ql <packagename>| grep lib.*so | xargs ldd -r

undefined symbol: JAWT_GetAWT   (/usr/lib/libswt-awt-gtk-3232.so)
undefined symbol: XSynchronize  (/usr/lib/libswt-awt-gtk-3232.so)
Comment 1 Ben Konrath 2006-11-15 12:15:06 EST
Jeff, could you please look into this? Thanks.
Comment 2 Jeff Johnston 2006-11-15 13:51:48 EST
The missing symbols in question go away if you include /usr/lib/gcj-4.1.1 (or
appropriate gcj) in your LD_LIBRARY_PATH.  For example, JAWT_GetAWT is found in
libjawt.so which likely isn't on your default library path when you ran the ldd

Note You need to log in before you can comment on or make changes to this bug.